can't compile stackwalker on vagrant

RESOLVED FIXED

Status

Socorro
Infra
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: phrawzty, Assigned: phrawzty)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Assignee)

Description

4 years ago
There have been some updates to stackwalker recently that have caused compilation problems in our current vagrant environment.  I've been working through the situation with Ted online and we think it is likely due to a combination of missing and out-dated packages - if so, we just need to identify exactly what needs to be installed / upgraded, and we should be good to go. :)
(Assignee)

Comment 1

4 years ago
A quick gist to show a (compressed) analysis of the problems and solutions[0].

The upshot is that we need to:
1. Install libcurl-devel in the vagrant image.
2. Apply a small patch to stackwalker (PR on deck).

[0] https://gist.github.com/phrawzty/a56af4e0a3faba5d24f6
(Assignee)

Comment 3

4 years ago
(In reply to Daniel Maher [:phrawzty] from comment #2)
> https://github.com/mozilla/socorro/pull/2577

Woops, I meant https://github.com/mozilla/socorro/pull/2576 .

Updated

4 years ago
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.